import {defHttp} from '/@/utils/http/axios';
import { useMessage } from "/@/hooks/web/useMessage";

const { createConfirm } = useMessage();

enum Api {
  list = '/wb.survey/wbSurveyCfg/list',
  save='/wb.survey/wbSurveyCfg/add',
  edit='/wb.survey/wbSurveyCfg/edit',
  deleteOne = '/wb.survey/wbSurveyCfg/delete',
  deleteBatch = '/wb.survey/wbSurveyCfg/deleteBatch',
  importExcel = '/wb.survey/wbSurveyCfg/importExcel',
  exportXls = '/wb.survey/wbSurveyCfg/exportXls',

  loadTreeData = '/base.domain/stDomain/loadTreeRoot',  

  thirdApiList = '/wb.manage/wbCompanyThirdApi/list',
  thirdApiItemList = '/wb.survey/wbKeyName/queryApiItemByApiCode',

  saveBatch='/wb.survey/wbSurveyCfg/addBatch',
   
}
/**
 * 导出api
 * @param params
 */
export const getExportUrl = Api.exportXls;
/**
 * 导入api
 */
export const getImportUrl = Api.importExcel;
/**
 * 列表接口
 * @param params
 */
export const list = (params) =>
  defHttp.get({url: Api.list, params});

/**
 * 删除单个
 */
export const deleteOne = (params,handleSuccess) => {
  return defHttp.delete({url: Api.deleteOne, params}, {joinParamsToUrl: true}).then(() => {
    handleSuccess();
  });
}
/**
 * 批量删除
 * @param params
 */
export const batchDelete = (params, handleSuccess) => {
  createConfirm({
    iconType: 'warning',
    title: '确认删除',
    content: '是否删除选中数据',
    okText: '确认',
    cancelText: '取消',
    onOk: () => {
      return defHttp.delete({url: Api.deleteBatch, data: params}, {joinParamsToUrl: true}).then(() => {
        handleSuccess();
      });
    }
  });
}
/**
 * 保存或者更新
 * @param params
 */
export const saveOrUpdate = (params, isUpdate) => {
  let url = isUpdate ? Api.edit : Api.save;
  return defHttp.post({url: url, params});
}


/**
 * 查询全部树形节点数据
 * @param params
 */
 export const loadDomainTreeData = (params) =>
 defHttp.get({url: Api.loadTreeData,params});


 export const thirdApiList = (params) => {
    return defHttp.get({url: Api.thirdApiList, params});
 }

 
 export const thirdApiItemList = (params) => {
  return defHttp.get({url: Api.thirdApiItemList, params});
}


/**
 * 批量保存
 * @param params
 */
export const saveBatch = (params) => {
  return defHttp.post({url: Api.saveBatch, params});
}






 


 
